include:
  # include the component located in the current project from the current SHA
  - component: $CI_SERVER_HOST/$CI_PROJECT_PATH/sobar@$CI_COMMIT_SHA
    inputs:
      publish: 'false'

stages: [ test, release ]


release:
  stage: release
  image: registry.gitlab.com/gitlab-org/release-cli:latest
  script: echo "Creating release $CI_COMMIT_TAG"
  rules:
    - if: $CI_COMMIT_TAG
  release:
    tag_name: $CI_COMMIT_TAG
    description: "Release $CI_COMMIT_TAG of components in $CI_PROJECT_PATH"
